function [simData] = Sim_ThermoFluid()
% Example simulation of thermo-fluid process (published file).
%
% --
% Supplementary material (simulation examples) to:
%   Distributed Event-based State Estimation (technical report)
%   Event-based State Estimation: An Emulation-based Approach (journal)
%
% Copyright 2015-17 Max Planck Society. All rights reserved.
% 
% Sebastian Trimpe
% Max Planck Institute for Intelligent Systems
% Autonomous Motion Department
% strimpe(at)tuebingen.mpg.de
%
% Revision history
% [01.08.15, ST]    first version


%% User configuration
% Generate plots after simulation? (passed to Simulate()).
flag_noPlot = false;    % If false, plots are generated.


   
%% Run simulations
% Simulation parameters
p_sim = ConfigureSimulation_ThermoFluid();

% Random number generator seed
if isempty(p_sim.seed)
    rng('shuffle');
else
    rng(p_sim.seed);
end;

% Perform simulation
disp(['Executing simulation of thermo-fluid process...']);
simData = Simulate(p_sim,[],flag_noPlot);

disp(['Done.']); disp(' ');